View Issue Details

IDProjectCategoryView StatusLast Update
0000265QElectroTechElement Editorpublic2022-06-26 13:59
Reporterikcalb Assigned To 
PriorityhighSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Product VersionSVN/branches/0.x 
Summary0000265: master: slave reference layout support
DescriptionRelated to 0000239, see my explanation below, for why I think this is not resolved at all.

TL;DR: What I suggest, is beeing able to freely display slave references at the master:
- at least allow the slave reference table to be placed independently of the master reference, AND allow the switch symbols (table headings) to be hidden.

- one way: Enable setting an anchor point, orientation, grid spacing, and "wrap mode" (after how many rows to start a new column, alternating between columns, ...)
- or: freely place N reference anchors in the master
- possibly something different

Placing the slave references always under the master reference is very limiting.
Also the style of the current slave reference table limits what the master can look like.
See an example I personally like, attached.

I've tried to stay short, if you need more examples or clarification, don't hesitate to ask.
In fall I could have time to try implementing something myself, would appreciate some guidence to the codebase however.

Reason, why not resolved:
Tada thinks this was resolved, I do not agree at all.
What he implemented in https://github.com/qelectrotech/qelectrotech-source-mirror/pull/222 If I'm mistaken, please correct me: I understand, that this commit does not display a nc/no symbol at the slave reference. This was already possible using i.e.:
type: coil | Xref slave: bottom, view cross | master = slave: /%F.%c%l | show power contacts: in the cross
Additional InformationQElectroTech V 0.90-DEV+f3811d303
Compilation : GCC 8.3.0
Built with Qt 5.11.3 - Date : Aug 22 2021 : 10:55:56
Run with Qt 5.11.3 using 16 thread(s)
Tagsmaster, slave

Activities

ikcalb

2022-06-24 09:33

reporter  

master.png (91,906 bytes)   
master.png (91,906 bytes)   
slave.png (33,649 bytes)   
slave.png (33,649 bytes)   

scorpio810

2022-06-25 16:43

administrator   ~0000562

Last edited: 2022-06-26 13:59

It 's only work with with contact not for view cross.
If you can more explain what you want for PLC Xref view like: I/O_IN, I/O_OUT, ANA_in, ANA_out?

Issue History

Date Modified Username Field Change
2022-06-24 09:33 ikcalb New Issue
2022-06-24 09:33 ikcalb Tag Attached: master
2022-06-24 09:33 ikcalb Tag Attached: slave
2022-06-24 09:33 ikcalb File Added: master.png
2022-06-24 09:33 ikcalb File Added: slave.png
2022-06-25 16:43 scorpio810 Note Added: 0000562
2022-06-26 13:59 scorpio810 Note Edited: 0000562